Subject: Re: [Curdle] [saag] Time for SSH3?

From: Eric Rescorla <[email-masked]>
Date: Wed, 20 Dec 2023 13:12:01 -0800

In Wed, Dec 20, 2023 at 12:42 PM Dmitry Belyavsky <[email-masked]> wrote:

> Well, TLS 1.3 had to be redesigned to mimic TLS 1.2 and got 50% sites
> supporting it only in November 2021 despite all the advantages.
>

The term "only" here seems a bit surprising, considering that the RFC was
published in 2018. As a comparison point, IPv6 is still less than 50% of
traffic to Google, even though Google is 100% IPv6 capable.

-Ekr

> On Wed, 20 Dec 2023, 21:37 David Schinazi, <[email-masked]>
> wrote:
>
>> I wouldn't compare SSH2 -> SSH3 to IPv4 -> IPv6. IPv6 has been taking
>> forever because it requires changing every router on the path. A better
>> comparison would be TLS 1.2 -> TLS 1.3, or HTTP/2 -> HTTP/3, as those only
>> required modifying the endpoints (for a specific definition of
>> endpoint...). And that transition happened quite quickly. I do think it
>> makes sense to consider rearchitecting SSH like we did for TLS, but I agree
>> with Stephen that we'll need the developers of popular SSH stacks to be
>> enthusiastic about such an effort for it to have any chance of success.
>>
>> David
>>
>> On Wed, Dec 20, 2023 at 8:37 AM Stephen Farrell <
>> [email-masked]> wrote:
>>
>>>
>>>
>>> On 20/12/2023 16:35, Theodore Ts'o wrote:
>>> > Moreover, if IETF tries to standardize a completely incompatible
>>> > protocol rewrite without close coperation with development team(s) of
>>> > the dominant implementation(s), the precedent of IPv6 of taking
>>> > **decades** to be fully rolled out may be the more relevant
>>> > comparison.
>>>
>>> +1 - if the main developers of SSH implementations were up
>>> for starting work on an SSH3, then it'd be a good plan. If
>>> they're not, it'd likely be a bad plan.
>>>
>>> Cheers,
>>> S.
>>> _______________________________________________
>>> Curdle mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/curdle
>>>
>> _______________________________________________
>> Curdle mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/curdle
>>
> _______________________________________________
> Curdle mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/curdle
>